Summary:		Various applets for use with AfterStep and compatible window managers
Name:			AfterStep-APPS
Version:		2000309
Release:		6mdk
Copyright:		GPL
URL:			http://www.tigr.net/afterstep/
Group:			Graphical desktop/Other
BuildRequires: XFree86-devel, libPropList-devel, xpm-devel, libjpeg-devel, libpng-devel, libtiff-devel, libungif-devel, utempter-devel, zlib-devel
BuildRoot:		%{_tmppath}/afterstep-apps-root

Source0:		as-apps-%{version}.tar
Patch0:			AfterStep-APPS-1.5beta1-glibc.patch
Patch1:			ascp-paths.patch
Patch2:			as-apps-compile.patch
Patch4:			xiterm-utmp.patch
Patch5:			ascd-WINGs-inc.patch.bz2

Prereq:			/sbin/ldconfig
Requires:		/usr/sbin/utempter, libPropList >= 0.10.1
BuildPrereq:	WindowMaker >= 0.62.1, libPropList >= 0.10.1

%description
The AfterStep-APPS package includes a group of applications for use with the
AfterStep window manager.

Applications in this package include:
  * an Advanced Power Management system monitor for laptops (asapm),
  * a CPU load monitor (ascpu),
  * a simple state machine (asexec),
  * a filesystem monitor (asfsm),
  * a CPU load monitor for use with the PROC filesystem (asload),
  * a mail checker (asmail),
  * a memory utilization monitor (asmem),
  * a volume controller knob for the /dev/mixer device (asmix),
  * a volume controller for various sound inputs (asmixer),
  * a modem status monitor (asmodem),
  * an analog clock (astime),
  * a color an audio CD player (ascd),
  * a clock (asclock),
  * a control panel for configuring AfterStep (ascp).

%prep

%setup -q -c
rm -f *.asc

for archive in *.tar.gz ; do
	tar xzf $archive
	rm -f $archive
done

%patch0 -p1 -b .glibc
%patch1 -p1 -b .paths
%patch4 -p1 -b .xiutmp
%patch5 -p1 -b .WINGs-inc

# Someone forgot to make clean in some packages :/
find . -name "*.o" -exec rm -f {} \;
perl -pi -e "s,#include <linux/ucdrom.h>,," ascdc-0.3/ascdc.c

%build
for package in `ls` ; do
    cd $package
    case $package in
    ascd-* )
        patch -p2 -b --suffix .compile < %{PATCH2}
        CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS" ./configure << EOF
/dev/cdrom
$RPM_BUILD_ROOT/usr/X11R6/bin
$RPM_BUILD_ROOT/usr/man/man1
/usr/share/$package
1
EOF
        perl -pi -e "s,/usr/local/share/AScd,/usr/share/$package,g" * misc/*
        make MANDIR=/usr/X11R6/man/man1 \
        BINDIR=/usr/X11R6/bin \
        THEMESDIR=/usr/share/$package \
        SHLIBDIR=/usr/X11R6/lib \
        CDEBUGFLAGS="$RPM_OPT_FLAGS" \
        CXXDEBUGFLAGS="$RPM_OPT_FLAGS "
        ;;

    asdm* )
        # xmkmf'ed stuff...
        xmkmf -a
        make CDEBUGFLAGS="$RPM_OPT_FLAGS" \
             CXXDEBUGFLAGS="$RPM_OPT_FLAGS" \
         XDMDIR=/usr/share/asdm BINDIR=/usr/X11R6/bin \
         SHLIBDIR=/usr/lib
        ;;

    asampcd* | asDrinks* | asampmenu* | randbg* )
        # These are perl scripts and don't need to be compiled...
        ;;

    asbutton* | miniCHESS* )
        # Non-autoconf'ed C...
        make CCFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
        ;;

    aspbm* )
        make CCFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS" CXXFLAGS="$RPM_OPT_FLAGS"
        make -C conf CCFLAGS="$RPM_OPT_FLAGS" CFLAGS="$RPM_OPT_FLAGS"  CXXFLAGS="$RPM_OPT_FLAGS"
        ;;

    asmon* )
        cd asmon
        make
        cd ..
        ;;

    ASFiles* | Tasks* | asfaces* | asfatm* | asppp* | astrash* | astuner* | xfascd* | asxmcd* )
        # ASFiles: needs some odd DnD library
        # Tasks: must be compiled inside AfterStep source tree
        # asfaces: broken beyond repair
        # asfatm: needs temperature measurement kernel patch
        # asppp: missing dial.xpm file
        # astrash: needs OffiX
        # astuner: needs linux/radio.h
        # xfascd: needs XForms
        # asxmcd: needs Motif
        ;;

    xiterm*)
        # cough cough, hack hack -- ewt
        CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 \
        --enable-xpm-background --enable-utmp --enable-wtmp \
        --enable-menubar --enable-next-scroll
        xmkmf
        make Makefiles
        cd src
        sed -e "s/EXTRA_LIBRARIES =/EXTRA_LIBRARIES = -lutempter/" \
           Makefile > Makefile.foo
        sed -e "s/-lsocket //" Makefile.foo > Makefile
        make
        ;;

    asclock*)
        CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 << EOF
classic

EOF
             make
         ;;

    *)
        #just about every other thing supports autoconf
        #
        # Look ma, I'm broken!  What a shock.
        rm -f config.cache
        CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr/X11R6 --datadir=/usr/share --with-gtk-prefix=/usr
        make
        ;;
    esac
    cd ..
done


%install
rm -rf $RPM_BUILD_ROOT

mkdir -p $RPM_BUILD_ROOT/usr/X11R6/bin
mkdir -p $RPM_BUILD_ROOT/usr/X11R6/man/man1
mkdir -p $RPM_BUILD_ROOT/usr/share/afterstep/desktop/icons/16bpp

# Fix build as user
perl -p -i -e "s|-o root -g root -m 555||" asbutton-0.3/Makefile
perl -p -i -e "s|-o root -g root -m 644||" asbutton-0.3/Makefile
perl -p -i -e "s|rm .dir|rm -f .dir|" ascd-0.12.2/ascd/*akefile*
perl -p -i -e "s|chown root:root|#chown root:root|" aspbm-1.1/Makefile
perl -p -i -e "s|XDMDIR = /usr/local/share/asdm|XDMDIR = /usr/X11R6/share/asdm|" asdm-1.0/Makefile
perl -p -i -e "s|BINDIR = /usr/local/bin|BINDIR = |" asdm-1.0/Makefile
perl -p -i -e "s|MANDIR = /usr/local/man/man1|MANDIR = /usr/X11R6//man/man1|" asdm-1.0/Makefile
perl -p -i -e "s|SHLIBDIR = /usr/local/lib|SHLIBDIR = /usr/X11R6/lib|" asdm-1.0/Makefile
perl -p -i -e "s|XDMDIR = /usr/local/share/asdm|XDMDIR = /usr/X11R6/share/asdm|" asdm-1.0/xpmroot/Makefile
perl -p -i -e "s|BINDIR = /usr/local/bin|BINDIR = |" asdm-1.0/xpmroot/Makefile
perl -p -i -e "s|MANDIR = /usr/local/man/man1|MANDIR = /usr/X11R6//man/man1|" asdm-1.0/xpmroot/Makefile
perl -p -i -e "s|SHLIBDIR = /usr/local/lib|SHLIBDIR = /usr/X11R6/lib|" asdm-1.0/xpmroot/Makefile
perl -p -i -e "s|XDMDIR = /usr/local/share/asdm|XDMDIR = /usr/X11R6/share/asdm|" asdm-1.0/config/Makefile
perl -p -i -e "s|BINDIR = /usr/local/bin|BINDIR = |" asdm-1.0/config/Makefile
perl -p -i -e "s|MANDIR = /usr/local/man/man1|MANDIR = /usr/X11R6//man/man1|" asdm-1.0/config/Makefile
perl -p -i -e "s|SHLIBDIR = /usr/local/lib|SHLIBDIR = /usr/X11R6/lib|" asdm-1.0/config/Makefile

for package in `ls` ; do
    cd $package 
    case $package in
    aspbm* )
        perl -p -i -e "s|BINDIR = /usr/local/bin|BINDIR = $RPM_BUILD_ROOT/usr/X11R6/bin|" Makefile
        perl -p -i -e "s|MANDIR = /usr/local/man/man1|MANDIR = $RPM_BUILD_ROOT/usr/X11R6/man/man1|" Makefile
        make install
        ;;

	ASFiles* | Tasks* | asfaces* | asfatm* | asppp* | astrash* | astuner* | xfascd* | asxmcd* )
	    # We ignore broken stuff...
	    ;;

	asDrinks* | asampmenu* )
	    cp -a *.pl $RPM_BUILD_ROOT/usr/X11R6/bin
	    ;;

	ascd-* | xiterm*)
	    if test -d ./ascd; then
	        mkdir -p $RPM_BUILD_ROOT/usr/share/$package
		cp -a ascd/themes/* $RPM_BUILD_ROOT/usr/share/$package
		perl -p -i -e "s|BINDIR = /usr/local/bin|BINDIR = $RPM_BUILD_ROOT/usr/X11R6/bin|" Makefile
		perl -p -i -e "s,/usr/local/include,$RPM_BUILD_ROOT/usr/include,g" libworkman/Makefile
		perl -pi -e "s,/usr/local/lib,$RPM_BUILD_ROOT/usr/lib,g" libworkman/Makefile
#		perl -p -i -e "s|= -m 0444|= -m 666 |" ascd/Makefile
#		perl -p -i -e "s|= -m 0444|= -m 666 |" libworkman/Makefile
#		perl -p -i -e "s|= -m 0444|= -m 666 |" Makefile
	    fi
	    make install install.man \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		MANDIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		THEMESDIR=$RPM_BUILD_ROOT/usr/share/$package \
		SHLIBDIR=$RPM_BUILD_ROOT/usr/X11R6/lib
	    ;;

        ascp-* )
	    make install \
	        ASCP_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		ASCP_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		prefx=$RPM_BUILD_ROOT \
		DESTDIR=$RPM_BUILD_ROOT
	    ;;

	asmon-* )
	    cd asmon
	    perl -pi -e "s,/usr/local/bin,$RPM_BUILD_ROOT/usr/X11R6/bin,g" Makefile
	    make install \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		DESTDIR=$RPM_BUILD_ROOT
	    cd ..
	    ;;

	miniCHESS*)
	perl -p -i -e "s|GNUCHESS = /usr/local/bin/gnuchessx|GNUCHESS = $RPM_BUILD_ROOT/usr/X11R6/bin/gnuchessx|" Makefile
	perl -p -i -e "s|DESTDIR = /usr/local/bin|DESTDIR = $RPM_BUILD_ROOT/usr/X11R6/bin|" Makefile
	;;

	randbg*)
	cp randbg.pl $RPM_BUILD_ROOT/usr/X11R6/bin
	;;

	asclock* | asdm*)
	make install DESTDIR=$RPM_BUILD_ROOT
	;;

	asdm*)
	make intall BINDIR=
	;;

	*)
	    make install \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		DESTDIR=$RPM_BUILD_ROOT \
		ICONDIR=$RPM_BUILD_ROOT/usr/share/afterstep/desktop/icons/16bpp
	    make install.man \
	        AFTER_BIN_DIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		AFTER_MAN_DIR=$RPM_BUILD_ROOT/usr/X11R6/man/man1 \
		BINDIR=$RPM_BUILD_ROOT/usr/X11R6/bin \
		DESTDIR=$RPM_BUILD_ROOT || true # should work for non-install.man targets as well...
	    ;;
    esac
    cd ..
done


chmod og+rX $RPM_BUILD_ROOT/usr/share/afterstep/ascp/icons/

rm -f $RPM_BUILD_ROOT/usr/share/afterstep/ascp/*~ $RPM_BUILD_ROOT/usr/share/afterstep/ascp/*/*~
rm -f $RPM_BUILD_ROOT/usr/X11R6/{bin,man/man1}/{sessreg,xpmroot,qplot}*

rm -f $RPM_BUILD_ROOT/usr/X11R6/aterm

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
/usr/X11R6/bin/*
/usr/share/*
/usr/X11R6/man/man1/*

%doc ASFiles-1.0/AUTHORS ASFiles-1.0/COPYING ASFiles-1.0/ChangeLog ASFiles-1.0/ChangeLog.old ASFiles-1.0/README ASFiles-1.0/README.old ASFiles-1.0/THANKS
%doc Tasks-0.2/README Tasks-0.2/TODO
%doc asDrinks-2.0/COPYING asDrinks-2.0/Changelog asDrinks-2.0/README asDrinks-2.0/SITES
%doc asampmenu-0.1/COPYING asampmenu-0.1/README
%doc asapm-2.9/CHANGES asapm-2.9/INSTALL asapm-2.9/LICENSE asapm-2.9/NOTES asapm-2.9/README asapm-2.9/TODO
%doc asbutton-0.3/CHANGES asbutton-0.3/COPYING asbutton-0.3/README asbutton-0.3/TODO
%doc ascd-0.12.2/README
%doc ascdc-0.3/README
%doc asclock-2.0.12/COPYING asclock-2.0.12/README asclock-2.0.12/README.THEMES
%doc ascp-1.0.3/BUGS ascp-1.0.3/CHANGELOG ascp-1.0.3/COPYING ascp-1.0.3/PEOPLE ascp-1.0.3/README ascp-1.0.3/README.I18N ascp-1.0.3/TODO ascp-1.0.3/doc
%doc ascpu-1.9/CHANGES ascpu-1.9/LICENSE ascpu-1.9/README ascpu-1.9/TODO
%doc asdm-1.0/README
%doc asexec-1.3/AUTHORS asexec-1.3/ChangeLog asexec-1.3/README asexec-1.3/TODO
%doc asfaces-1.0pre3/README
%doc asfatm-0.75b/COPYING asfatm-0.75b/ChangeLog asfatm-0.75b/README
%doc asfsm-1.0pre15/README asfsm-1.0pre15/README.8bit
%doc asfsm_lite-1.0.0/README
%doc asload-0.9.4/LICENSE asload-0.9.4/README
%doc asmail-0.55/LICENSE asmail-0.55/README asmail-0.55/README.8bpp
%doc asmem-1.6/CHANGES asmem-1.6/README
%doc asmix-1.3/CHANGES asmix-1.3/LICENSE asmix-1.3/README
%doc asmixer-0.5/README 
%doc asmodem-0.6-1/README
%doc asmon-0.60/COPYING asmon-0.60/Changelog
%doc asmount-1.0.0/README
%doc asmounter-0.3/BUGS asmounter-0.3/CHANGES asmounter-0.3/LICENSE asmounter-0.3/README asmounter-0.3/SUGGESTIONS asmounter-0.3/TODO
%doc aspbm-1.1/doc
%doc aspostit-1.3/BUGS aspostit-1.3/CHANGES
%doc asppp-0.1.3/README
%doc astime-2.5/CHANGES astime-2.5/LICENSE astime-2.5/README
%doc astrash-0.9/COPYING astrash-0.9/README
%doc astuner-3.1/README
%doc asxmcd-2.1.1/PORTING asxmcd-2.1.1/README
#%doc aterm-0.3.6/ChangeLog aterm-0.3.6/README.Unix98PTY aterm-0.3.6/doc
%doc miniCHESS-0.8/COPYING miniCHESS-0.8/README miniCHESS-0.8/TODO
%doc randbg-0.1/asetroot.EXAMPLE randbg-0.1/autoexec.EXAMPLE randbg-0.1/README
%doc xfascd-0.9.2/CHANGES xfascd-0.9.2/README
%doc xiterm-2.0/README.SOLARIS xiterm-2.0/doc

%changelog
* Sun Apr 22 2001 Stew Benedict <sbenedict@mandrakesoft.com> 2000309-6mdk
- ascd couldn't find WINGs.h on PPC

* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 2000309-5mdk
- automatically added BuildRequires

* Fri Apr 20 2000 David BAUDENS <baudens@mandrakesoft.com> 2000309-4mdk
- Fix conflict with aterm package

* Tue Apr 04 2000 David BAUDENS <baudens@mandrakesoft.com> 2000309-3mdk
- Rebuild with new libPropList

* Sun Apr 02 2000 David BAUDENS <baudens@mandrakesoft.com> 2000309-2mdk
- Rebuild with new libPropList

* Fri Mar 31 2000 David BAUDENS <baudens@mandrakesoft.com> 2000309-1mdk
- Back in main distribution
- 20000309
- Fix build as user
- Add %%doc
- Use %%{_tmppath} for BuildRoot
- Use new Groups
- Bzip2 man pages

* Thu Dec 10 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix build as user (bad hack)

* Wed Dec 09 1999 - David BAUDENS <baudens@mandrakesoft.com>
- Fix a little bug 

* Thu Dec 03 1999 - David BAUDENS <baudens@mandrakesft.com>
- 19991129
- Merge with RedHat spec
- Add a defattr

* Wed Jun 30 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build for new environement (Rel: 4mdk)

* Mon Apr  5 1999 Bill Nottingham <notting@redhat.com>
- strip binaries

* Mon Mar 29 1999 Bill Nottingham <notting@redhat.com>
- update source archive
- fix ascp

* Wed Mar 24 1999 Erik Troan <ewt@redhat.com>
- utempter support
- got xiterm building again

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 2)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- build for glibc 2.1

* Wed Sep 30 1998 Cristian Gafton <gafton@redhat.com>
- updated source archive
- remove  conflicting files with XFree86

* Wed Sep 16 1998 Cristian Gafton <gafton@redhat.com>
- split from afterstep and packaged for RH 5.2
